Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.lyo.core.utils.marshallers
Class OSLC4JUnmarshaller

    java.lang.Object
      org.eclipse.lyo.core.utils.marshallers.OSLC4JUnmarshaller

    public class OSLC4JUnmarshaller

extends Object

Method Summary
`javax.ws.rs.core.MediaType` | `getMediaType()`
`void` | `setMediaType(javax.ws.rs.core.MediaType mediaType)`
`
`<T> T`
` | `unmarshal(InputStream inputStream, Class<T> clazz)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### unmarshal

    public <T> T unmarshal(InputStream inputStream,
                           Class<T> clazz)
                throws IllegalArgumentException,
                       SecurityException,
                       DatatypeConfigurationException,
                       IllegalAccessException,
                       InstantiationException,
                       InvocationTargetException,
                       OslcCoreApplicationException,
                       URISyntaxException,
                       NoSuchMethodException

  Throws:
    `IllegalArgumentException`
    `SecurityException`
    `DatatypeConfigurationException`
    `IllegalAccessException`
    `InstantiationException`
    `InvocationTargetException`
    `OslcCoreApplicationException`
    `URISyntaxException`
    `NoSuchMethodException`

### getMediaType

    public javax.ws.rs.core.MediaType getMediaType()

  Returns:
    the mediaType

### setMediaType

    public void setMediaType(javax.ws.rs.core.MediaType mediaType)

  Parameters:
    `mediaType` - the mediaType to set

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013. All rights reserved.